Update sync frequency
curl --request PUT \
--url https://api.nango.dev/sync/update-connection-frequency \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"provider_config_key": "<string>",
"connection_id": "<string>",
"sync_name": "<string>",
"frequency": "<string>",
"sync_variant": "<string>"
}
'import requests
url = "https://api.nango.dev/sync/update-connection-frequency"
payload = {
"provider_config_key": "<string>",
"connection_id": "<string>",
"sync_name": "<string>",
"frequency": "<string>",
"sync_variant": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
provider_config_key: '<string>',
connection_id: '<string>',
sync_name: '<string>',
frequency: '<string>',
sync_variant: '<string>'
})
};
fetch('https://api.nango.dev/sync/update-connection-frequency', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"frequency": "<string>"
}{
"message": "<string>"
}Syncs
Override sync connection frequency
Override a sync’s default frequency for a specific connection, or revert to the default frequency.
PUT
/
sync
/
update-connection-frequency
Update sync frequency
Requires an API key with the
environment:syncs:update scope. Learn more about API key scopes.Authorizations
The secret key from your Nango environment.
Body
application/json
The ID of the integration you established within Nango
The ID of the connection
The name of the sync you want to update
The frequency you want to set (ex: 'every hour'). Set null to revert to the default frequency. Uses the https://github.com/vercel/ms notations. Min frequency: 30 seconds.
The variant of the sync you want to update
Response
Successfully updated the frequency
The updated frequency value
Was this page helpful?
⌘I